qat_init(8)

NAME
qat_init - QAT resource initializer
qat_init

SYNOPSIS
qat_init

DESCRIPTION
qat_init initializes the Intel© Quick Assist Technology (Intel© QAT) devices in preparation for use by the user space library (qatlib).

When run on a host system with physical function (PF) QAT devices visible and bound to the QAT device driver, the qat_init script will enable sriov on each of the PF devices. This enables the virtual function (VF) devices.

For each of the QAT VF devices, the qat_init binds the device to the vfio-pci device driver, making it available for applications using the qatlib user space library.

ENVIRONMENT VARIABLES
LKCF_LIST if set, gives a list of VF devices that should be used for accelerating operations from the Linux crypto framework instead of being available for user space applications.

Example:
    LKCF_LIST="0000:3d:01.0 0000:3f:01.0 0000:da:01.0"

SEE ALSO
qatmgr(8)

AUTHOR
Conor McLoughlin <conor.mcloughlin@intel.com>